{% extends "layout.html" %}

{% block title %}
    {{ config['title'] }}
{% endblock %}

{% block header_title %}
    {{ config['title'] }}
{% endblock %}

{% block header_details %}
    {{ config['details'] }}
{% endblock %}

{% block header_cover %}
    {{ config['cover'] | media('fill-in', 2000, 300) }}
{% endblock %}

{% block style %}
{{ super() }}
<style>
    .tile {
        text-decoration: none;
    }
    .tile .cover {
        background-size: cover;
        width: 100%;
        height:200px;
    }
</style>
{% endblock %}

{% block content %}
<div class="container">
    <div class="row g-5">
        {% for gallery in config['galleries'] %}
        <a class="col-3 tile" href="{{ gallery['slug'] }}">
            <div class="border bg-light" style="text-align: center;">
                <div class="cover" style="background-image: url({{ gallery['cover'] | media('fill-in', 400, 200) }})">&nbsp;</div>
                <div class="center p-3">
                    {{ gallery['name'] }}
                </div>
            </div>
        </a>
        {% endfor %}
    </div>
</div>
{% endblock %}
